tomcat-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Juha Laiho <Juha.La...@iki.fi>
Subject Re: Jasper compiler version, how to configure
Date Sun, 05 Oct 2008 09:24:14 GMT
Dave wrote:
> In my development environment using JDK 1.5, the jsp compilation is fine. But after deploy
to JBoss 4.0.5(w/ tomcat 5.5), the JSP compiler complains templates such as 
> List 
> 
> I started JBoss using jdk 1.5, configured in run.sh (JAVA_HOME). It seems that the JSP
compiler is not using the java version 1.5. 
> 
> How to configure the JSP compiler java version, using the same version JDK 1.5 that starts
Tomcat? 

The compiler Java version is most probably fine, but the compiler is
being told that the source code conforms to 1.4 language specification,
as opposed to 1.5.

See http://tomcat.apache.org/tomcat-5.5-doc/jasper-howto.html and there
especially compilerSourceVM parameter (and it's best to set
compilerTargetVM at the same time).
-- 
..Juha

---------------------------------------------------------------------
To start a new topic, e-mail: users@tomcat.apache.org
To unsubscribe, e-mail: users-unsubscribe@tomcat.apache.org
For additional commands, e-mail: users-help@tomcat.apache.org


Mime
View raw message